;+
;   rms.pro - find the rms value of an image
;         ans = rms(im,ap)
;-
function rms,im,ap
	n = (size(im))[1]
	m = (size(im))[2]
	if (n_elements(ap) ne 0) then begin
	  ima = ap*im
	  r = sqrt(total(ima*ima)/total(ap))
	endif else begin
		r = sqrt(total(im*im)/(float(n)*float(m)))
	endelse
  return,r
end
